package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.UsageRecord;

/**
 * 使用记录Service接口
 * 
 * @author boman
 * @date 2022-06-13
 */
public interface IUsageRecordService 
{
    /**
     * 查询使用记录
     * 
     * @param recordId 使用记录主键
     * @return 使用记录
     */
    public UsageRecord selectUsageRecordByRecordId(Long recordId);

    /**
     * 查询使用记录列表
     * 
     * @param usageRecord 使用记录
     * @return 使用记录集合
     */
    public List<UsageRecord> selectUsageRecordList(UsageRecord usageRecord);

    /**
     * 新增使用记录
     * 
     * @param usageRecord 使用记录
     * @return 结果
     */
    public AjaxResult insertUsageRecord(UsageRecord usageRecord);

    /**
     * 修改使用记录
     * 
     * @param usageRecord 使用记录
     * @return 结果
     */
    public int updateUsageRecord(UsageRecord usageRecord);

    /**
     * 批量删除使用记录
     * 
     * @param recordIds 需要删除的使用记录主键集合
     * @return 结果
     */
    public int deleteUsageRecordByRecordIds(Long[] recordIds);

    /**
     * 删除使用记录信息
     * 
     * @param recordId 使用记录主键
     * @return 结果
     */
    public int deleteUsageRecordByRecordId(Long recordId);


    /**
     * 根据使用人id查询列表
     * @param recordId
     * @return
     */
    public AjaxResult selectUsageRecordListByRecordId(Long recordId);
}
